From 13eefb3a3d99bb10ec3331603803b0eea2dc05e1 Mon Sep 17 00:00:00 2001
From: Andrew Benson <abenson+void@gmail.com>
Date: Tue, 9 Jul 2019 07:53:47 -0500
Subject: [PATCH 1/4] SPIRV-Headers: update to 1.4.1.

---
 srcpkgs/SPIRV-Headers/template | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/SPIRV-Headers/template b/srcpkgs/SPIRV-Headers/template
index 2648650b490..3c0374f53bd 100644
--- a/srcpkgs/SPIRV-Headers/template
+++ b/srcpkgs/SPIRV-Headers/template
@@ -1,7 +1,6 @@
 # Template file for 'SPIRV-Headers'
 pkgname=SPIRV-Headers
-reverts="1.3.37_1 1.3.44_1 1.3.47_1 1.3.51_1 1.3.60_1 1.3.65_1 1.3.70_1 1.3.74_1"
-version=1.3.7
+version=1.4.1
 revision=1
 archs=noarch
 build_style=cmake
@@ -10,7 +9,7 @@ maintainer="maxice8 <thinkabit.ukim@gmail.com>"
 license="GPL-3.0-or-later"
 homepage="https://github.com/KhronosGroup/SPIRV-Headers"
 distfiles="https://github.com/KhronosGroup/SPIRV-Headers/archive/${version}.tar.gz"
-checksum=60c48b0bd0c364a69edd36ddf576a6b440babc99d9822961accbbcbc5794dd7e
+checksum=a244f0629f75eb450e090cd773d30e22367cb231e964c7492588eb9000201fd1
 
 post_install() {
 	vlicense LICENSE

From c3fc253bd6fa931fd8705fe974adb4883a76c8c7 Mon Sep 17 00:00:00 2001
From: Andrew Benson <abenson+void@gmail.com>
Date: Tue, 9 Jul 2019 07:53:48 -0500
Subject: [PATCH 2/4] SPIRV-Tools: update to 2019.3.

---
 srcpkgs/SPIRV-Tools/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/SPIRV-Tools/template b/srcpkgs/SPIRV-Tools/template
index a696f347aa5..5d6b76342c2 100644
--- a/srcpkgs/SPIRV-Tools/template
+++ b/srcpkgs/SPIRV-Tools/template
@@ -1,6 +1,6 @@
 # Template file for 'SPIRV-Tools'
 pkgname=SPIRV-Tools
-version=2019.2
+version=2019.3
 revision=1
 build_style=cmake
 configure_args="-DSPIRV_SKIP_TESTS=ON -DSPIRV_WERROR=OFF
@@ -13,7 +13,7 @@ maintainer="maxice8 <thinkabit.ukim@gmail.com>"
 license="Apache-2.0"
 homepage="https://github.com/KhronosGroup/SPIRV-Tools"
 distfiles="https://github.com/KhronosGroup/SPIRV-Tools/archive/v${version}.tar.gz"
-checksum=1fde9d2a0df920a401441cd77253fc7b3b9ab0578eabda8caaaceaa6c7638440
+checksum=57c59584d83294ac914c1b21530f9441c29d30979a54e5f0a97b10715dc42c64
 
 SPIRV-Tools-devel_package() {
 	depends="SPIRV-Tools-${version}_${revision}"

From 2c6c85d7a68711569c44c922e411f5cfdb1f9de4 Mon Sep 17 00:00:00 2001
From: Andrew Benson <abenson+void@gmail.com>
Date: Tue, 9 Jul 2019 07:53:49 -0500
Subject: [PATCH 3/4] Vulkan-ValidationLayers: update to 1.1.112.

---
 srcpkgs/Vulkan-ValidationLayers/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/Vulkan-ValidationLayers/template b/srcpkgs/Vulkan-ValidationLayers/template
index b974bdc65f9..06c98fad404 100644
--- a/srcpkgs/Vulkan-ValidationLayers/template
+++ b/srcpkgs/Vulkan-ValidationLayers/template
@@ -1,6 +1,6 @@
 # Template file for 'Vulkan-ValidationLayers'
 pkgname=Vulkan-ValidationLayers
-version=1.1.106
+version=1.1.112
 revision=1
 build_style=cmake
 configure_args="-DGLSLANG_INSTALL_DIR=/usr
@@ -13,4 +13,4 @@ maintainer="Colin Gillespie <colin@breavyn.com>"
 license="Apache-2.0"
 homepage="https://www.khronos.org/vulkan/"
 distfiles="https://github.com/KhronosGroup/${pkgname}/archive/v${version}.tar.gz"
-checksum=e095e7c23fe52098e966c056d3e9684d6b915f129d736556bc5a33e9574bd735
+checksum=6ba1a0d8082975b4ac39ae01be5e1d5e722247a14a8ac20ce0e9d21a09bfc268

From 5afa4ee7f2e0313bba76cdc1d9d1384eee9e4bc4 Mon Sep 17 00:00:00 2001
From: Andrew Benson <abenson+void@gmail.com>
Date: Tue, 9 Jul 2019 07:55:21 -0500
Subject: [PATCH 4/4] Vulkan-Headers: update to 1.1.114.

---
 srcpkgs/Vulkan-Headers/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/Vulkan-Headers/template b/srcpkgs/Vulkan-Headers/template
index e1f9462d572..7562dca8e63 100644
--- a/srcpkgs/Vulkan-Headers/template
+++ b/srcpkgs/Vulkan-Headers/template
@@ -1,6 +1,6 @@
 # Template file for 'Vulkan-Headers'
 pkgname=Vulkan-Headers
-version=1.1.108
+version=1.1.114
 revision=1
 archs=noarch
 wrksrc="${pkgname}-${version}"
@@ -10,4 +10,4 @@ maintainer="Arvin Ignaci <arvin.ignaci@gmail.com>"
 license="Apache-2.0"
 homepage="https://www.khronos.org/vulkan/"
 distfiles="https://github.com/KhronosGroup/Vulkan-Headers/archive/v${version}.tar.gz"
-checksum=22f1ea49067cc16635dbb33cc2eeb8358a48d4288b2e587784ba89d90c9ebfce
+checksum=5de27c6249aad312868dd7085f5ad2443b4d1f0fbbd0abfaea4f145300d9c254
